/*
	Camera parameters

	Copyright (C) 2003	Patrice Mandin
	
	See COPYING in top directory for license
*/

#ifndef CAMERA_H
#define CAMERA_H

#include "calculations_types.h"

/*--- Defines ---*/

#define CLIP_RIGHT 0
#define CLIP_LEFT 1
#define CLIP_UP 2
#define CLIP_DOWN 3
#define CLIP_NEAR 4
#define CLIP_FAR 5

/*--- Types ---*/

typedef struct {
	point3_t	from;
	point3_t	to;
	point3_t	up;
} camera_t;

/*--- Variables ---*/

extern camera_t camera;
extern plane_t clip_planes[6];

/*--- Functions prototypes ---*/

void CAM_CalcTarget(float target_scale, float anglex, float angley);
void CAM_UpdateFrustum(void);

#endif /* CAMERA_H */
