/*
	main function

	Copyright (C) 2003	Patrice Mandin
	
	See COPYING in top directory for license
*/

/*--- Includes ---*/

#include <stdlib.h>

#include "filesystem.h"
#include "map_parse.h"
#include "parameters.h"
#include "viewer.h"

/*--- Functions ---*/

int main(int argc, char **argv) 
{  
	if (!CheckParm(argc,argv)) {
		DisplayUsage();
		exit(1);
	}

	if (!FS_Init()) {
		exit(1);
	}

	if (!MAP_Load(mapname)) {
		FS_Shutdown();
		exit(1);
	}

	if (!MAP_Parse()) {
		MAP_Unload();
		FS_Shutdown();
		exit(1);
	}

	VIEW_Demo();

	MAP_Unload();
	FS_Shutdown();

	return 0;
}
