/*
	Some statistics about rendering

	Copyright (C) 2003	Patrice Mandin
	
	See COPYING in top directory for license
*/

#ifndef STATISTICS_H
#define STATISTICS_H

/*--- Types ---*/

typedef struct {
	int entry;	/* Nodes to draw when entering DrawNode */
	int bbox;	/* Nodes to draw after frustum culling */
	int faces;	/* Nodes to draw after opaque faces culling */
} stat_nodes_t;

typedef struct {
	int entry;	/* Leaves to draw when entering DrawLeaf */
	int pvs;	/* Leaves to draw after pvs check */
	int bbox;	/* Leaves to draw after frustum culling */
} stat_leaves_t;

typedef struct {
	int polys_entry;
	int polys_bbox;
	int patches_entry;
	int patches_bbox;
	int meshes_entry;
	int meshes_bbox;
} stat_faces_t;

typedef struct {
	int entry;	/* Models to draw */
	int leaf;	/* Models to draw in a visible leaf */
	int bbox;	/* Models to draw after frustum culling */
} stat_models_t;

typedef struct {
	int opaque;
	int transparent;
} stat_render_t;

typedef struct {
	stat_nodes_t	nodes;	
	stat_leaves_t	leaves;
	stat_faces_t	faces;
	stat_models_t	models;
	stat_render_t	render;
} statistics_t;

/*--- Variables ---*/

extern statistics_t stats;

/*--- Functions prototypes ---*/

void STAT_Clear(void);
void STAT_Print(void);

#endif /* STATISTICS_H */
