/*
	Triedre list builder

	Copyright (C) 2003	Patrice Mandin
	
	See COPYING in top directory for license
*/

/*--- Includes ---*/

#include <SDL/SDL_opengl.h>

/*--- Defines ---*/

#define NUM_LISTS 1

#define TRIEDRE_SCALE (1000.0)
#define LETTER_SCALE (100.0)

#define POSITION_XX (TRIEDRE_SCALE+LETTER_SCALE/2)
#define POSITION_XY (-LETTER_SCALE/2)

/*--- Variables ---*/

static int list_triedre;

/*--- Functions ---*/

void TRI_Display(void)
{
	glCallList(list_triedre);
}

void TRI_Build(void)
{
	list_triedre = glGenLists(NUM_LISTS);

	glNewList( list_triedre, GL_COMPILE);
	{
		/* axe X, jaune */
		glColor3f( 1.0, 1.0, 0.0);

		glBegin(GL_LINES);
		{
			glVertex3f(0.0, 0.0, 0.0);
			glVertex3f(TRIEDRE_SCALE, 0.0, 0.0);

			/* X */
			glVertex3f(POSITION_XX+0.0, POSITION_XY+0.0, 0.0);
			glVertex3f(POSITION_XX+LETTER_SCALE, POSITION_XY+LETTER_SCALE, 0.0);

			glVertex3f(POSITION_XX+LETTER_SCALE, POSITION_XY+0.0, 0.0);
			glVertex3f(POSITION_XX+0.0, POSITION_XY+LETTER_SCALE, 0.0);
		}
		glEnd();

		/* axe Y, bleu clair */
		glColor3f( 0.0, 1.0, 1.0);
		glBegin(GL_LINES);
		{
			glVertex3f(0.0, 0.0, 0.0);
			glVertex3f(0.0, TRIEDRE_SCALE, 0.0);

			/* Y */
			glVertex3f(0.0, POSITION_XX+0.0, POSITION_XY+0.0);
			glVertex3f(0.0, POSITION_XX+LETTER_SCALE/2, POSITION_XY+LETTER_SCALE/2);

			glVertex3f(0.0, POSITION_XX+LETTER_SCALE/2, POSITION_XY+LETTER_SCALE/2);
			glVertex3f(0.0, POSITION_XX+LETTER_SCALE, POSITION_XY+0.0);

			glVertex3f(0.0, POSITION_XX+LETTER_SCALE/2, POSITION_XY+LETTER_SCALE/2);
			glVertex3f(0.0, POSITION_XX+LETTER_SCALE/2, POSITION_XY+LETTER_SCALE);
		}
		glEnd();

		/* axe Z, rose */
		glColor3f( 1.0, 0.0, 1.0);
		glBegin(GL_LINES);
		{
			glVertex3f(0.0, 0.0, 0.0);
			glVertex3f(0.0, 0.0, TRIEDRE_SCALE);

			/* Z */
			glVertex3f(POSITION_XY+0.0, 0.0, POSITION_XX+0.0);
			glVertex3f(POSITION_XY+0.0, 0.0, POSITION_XX+LETTER_SCALE);

			glVertex3f(POSITION_XY+0.0, 0.0, POSITION_XX+LETTER_SCALE);
			glVertex3f(POSITION_XY+LETTER_SCALE, 0.0, POSITION_XX+0.0);

			glVertex3f(POSITION_XY+LETTER_SCALE, 0.0, POSITION_XX+0.0);
			glVertex3f(POSITION_XY+LETTER_SCALE, 0.0, POSITION_XX+LETTER_SCALE);
		}
		glEnd();
	}
	glEndList();	
}

void TRI_Destroy(void)
{
	glDeleteLists( list_triedre, NUM_LISTS);
}

