/*
	Map viewer

	Copyright (C) 2003	Patrice Mandin
	
	See COPYING in top directory for license
*/

#ifndef VIEWER_H
#define VIEWER_H

/*--- Includes ---*/

#include <SDL/SDL.h>

/*--- Defines ---*/

/* Polygone filling type */
enum {
	POLYFILL_VERTEXCOLOR=0,	/* Vertices colors, gouraud shaded */
	POLYFILL_LIGHTMAP,		/* Lightmap texture */
	POLYFILL_TEXTURE,		/* Texture */
	POLYFILL_TEXMODVER,		/* Texture modulated with vertices colors, gouraud shaded */
	POLYFILL_TEXMODLIGHT,	/* Texture modulated with lightmap texture */
	POLYFILL_LAST
};

/*--- Variables ---*/

extern int polyfill_type;
extern int model_selected;
extern int patch_selected;
extern SDL_bool models_enabled;

/*--- Functions prototypes ---*/

extern int VIEW_Demo(void);

#endif /* VIEWER_H */
